%define name almanah
%define version 0.7.3
%define release %mkrel 3

Summary:        A application to allow you to keep a diary of your life
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Office
License:        GPLv3+
URL:            http://tecnocode.co.uk/projects/almanah/
Source:         http://tecnocode.co.uk/downloads/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libical-devel
BuildRequires: desktop-file-utils 
BuildRequires: gtk2-devel 
BuildRequires: intltool 
BuildRequires: glib2-devel 
BuildRequires: evolution-data-server-devel
BuildRequires: libical-devel 
BuildRequires: gtkspell-devel 
BuildRequires: sqlite3-devel 
BuildRequires: gettext 
BuildRequires: gpgme-devel 
BuildRequires: libseahorse-devel
Requires: seahorse

%description
Almanah is a small GTK+ application to allow you to keep a diary of your life.

%prep
%setup -q

sed -i 's/Icon=diary/Icon=almanah/' data/%{name}.desktop.in


%build
%configure2_5x --disable-encryption

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
desktop-file-install --vendor="" \
     --remove-category="Utility" \
     --add-category="Office;X-MandrivaLinux-Office-Accessories" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%define schemas almanah

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas %schemas
gtk-update-icon-cache -f -t /usr/share/icons/hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_menus
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Oct 10 2010 Texstar <texstar at gmail.com> 0.7.3-3pclos2010
- rebuild

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 0.7.3-2pclos2010
- rebuild against updated evolution-data-server

* Mon Apr 19 2010 slick50 <lxgator@gmail.com> 0.7.3-1pclos2010
- 0.7.2

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Sat Jun 06 2009 slick50 <lxgator@gmail.com> 0.6.1-1pclos2009
- initial build
